﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace ActivePanelColor79531
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DockableControlPane pane1 = new DockableControlPane("pane1", "Tab1", ultraListView1);
            DockableControlPane pane2 = new DockableControlPane("pane2", "Tab2", ultraListView1);
            DockableControlPane pane3 = new DockableControlPane("pane3", "Tab3", ultraListView1);
            DockableGroupPane groupPane1 = new DockableGroupPane();
            DockAreaPane dockAreaPane1 = new DockAreaPane(DockedLocation.DockedLeft);

            groupPane1.ChildPaneStyle = ChildPaneStyle.TabGroup;

            groupPane1.Panes.Add(pane1);
            groupPane1.Panes.Add(pane2);
            groupPane1.Panes.Add(pane3);

            dockAreaPane1.Panes.Add(groupPane1);

            this.ultraDockManager1.DockAreas.Add(dockAreaPane1);
            dockAreaPane1.Size = new Size(200, 500);

            //The TabAppearance will set the color of the tab, whether it is active or inactive
            ultraDockManager1.ControlPanes[0].Settings.TabAppearance.BackColor = Color.Blue;
            ultraDockManager1.ControlPanes[1].Settings.TabAppearance.BackColor = Color.Red;
            ultraDockManager1.ControlPanes[2].Settings.TabAppearance.BackColor = Color.Green;

            //Uncomment the following to set a static foreground appearance; by default, the active tab will 
            //display as black and the inactive tabs will take on a grey foreground appearance.

            //ultraDockManager1.ControlPanes[0].Settings.TabAppearance.ForeColor = Color.Gold;
            //ultraDockManager1.ControlPanes[1].Settings.TabAppearance.ForeColor = Color.Gold;
            //ultraDockManager1.ControlPanes[2].Settings.TabAppearance.ForeColor = Color.Gold;


        }
    }
}
